/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
// .regelungsalternativen-form {
//   ul {
//     margin: 0;
//     padding: 0;
//     list-style: none;
//     li {
//       .title-holder {
//         margin-bottom: 16px;
//         .ant-checkbox-wrapper {
//           border-radius: 3px;
//           background: #bfcbf6;
//           font-weight: 500;
//           padding: 10px 15px;
//           display: block;
//         }
//       }
//     }
//   }
// }

.bewertung-checkbox {
  .ant-checkbox-wrapper {
    display: flex;
    font-size: @platform-main-font-size;
    line-height: @platform-main-line-height;
    .ant-checkbox {
      align-self: flex-start;
      margin-top: 4px;
    }
  }
}
.bewertung-table {
  .table-scroll {
    max-height: 500px;
    overflow-y: scroll;
    max-width: max-content;
    width: max-content !important;
  }
  .ant-table {
    font-size: @platform-table-font-size;
    line-height: @platform-table-line-height;
    border-collapse: collapse;
    thead {
      th {
        background-color: @platform-blue3;
        border: 1px solid @platform-blue4;
        border-bottom: 2px solid @platform-text-color;
        &:first-child {
          background-color: @platform-blue4;
        }
      }
    }
    td {
      background-color: #fff;
      padding: 12px;
      border: 1px solid @platform-blue4;
    }
    .title-row {
      &:hover td,
      td {
        background-color: @platform-blue3;
        font-size: 1.4rem;
        border-top: 0;
        border-bottom: 0;
        &:first-child {
          font-size: @platform-table-font-size;
          background-color: @platform-blue4;
        }
      }
    }
    .cell-row {
      td {
        padding: 0;
        overflow: hidden;
        font-size: 1.4rem;
        &:first-child {
          padding: 12px;
          font-size: 1.6rem;
        }
        fieldset {
          legend {
            font-size: 0;
            line-height: 0;
            margin: 0;
            border: 0;
          }
        }
      }
    }
    .radio-group {
      white-space: nowrap;
      background: none;
      text-align: center;
      margin: -999px 0;
      padding: 999px 0;
      label {
        font-size: 1.4rem;
      }
      .ant-radio-group {
        padding: 12px 12px 0;
      }
    }
  }
  label {
    font-size: 1.4rem;
  }

  h4 {
    margin-top: 2px;
    margin-bottom: 2px;
  }
}
